Bug 1308722 - Django quickstart can't bind address
Django quickstart can't bind address
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Templates (Show other bugs)
2.2.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Vu Dinh
XiuJuan Wang
:
Depends On: 1296943
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 16:05 EST by Vu Dinh
Modified: 2016-03-22 12:54 EDT (History)
11 users (show)

See Also:
Fixed In Version: rubygem-openshift-origin-node-1.38.5.2-1.el6op
Doc Type: Bug Fix
Doc Text:
Cause: There is a duplication of start process call during git deployment using rhc --from-code command. Consequence: The second start process call will fail as the httpd port is already occupied which is due to previous start process call. A failure message will be logged as a result. Fix: The conditional check is added to the code to verify the state of the application to identify of the application is already started or not. If it's already started, a restart process is called instead of a start process. Result: The failure message is not longer logged as the duplicated start process is eliminated.
Story Points: ---
Clone Of: 1296943
Environment:
Last Closed: 2016-03-22 12:54:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0489 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 2.2.9 security, bug fix, and enhancement update 2016-03-22 16:49:04 EDT

  None (edit)
Comment 4 Gaoyun Pei 2016-02-26 01:11:23 EST
Verify this with puddle 2.2/2016-02-25.2

1. rhc app create test1 python-3.3 --from-code=https://github.com/openshift/django-example.git

2. Log into the gear and check python.log
[test1-yes.ose22-auto.com.cn logs]\> cat python.log 
[Fri Feb 26 14:05:22 2016] [notice] SELinux policy enabled; httpd running as context unconfined_u:system_r:openshift_t:s0:c5,c798
[Fri Feb 26 14:05:22 2016] [notice] Digest: generating secret for digest authentication ...
[Fri Feb 26 14:05:22 2016] [notice] Digest: done
[Fri Feb 26 14:05:22 2016] [notice] Apache/2.2.15 (Unix) mod_wsgi/3.4 Python/3.3.2 configured -- resuming normal operations
[Fri Feb 26 14:05:24 2016] [notice] SIGHUP received.  Attempting to restart
[Fri Feb 26 14:05:24 2016] [notice] Digest: generating secret for digest authentication ...
[Fri Feb 26 14:05:24 2016] [notice] Digest: done
[Fri Feb 26 14:05:24 2016] [notice] Apache/2.2.15 (Unix) mod_wsgi/3.4 Python/3.3.2 configured -- resuming normal operations

There is no error (such as: Address already in use: make_sock: could not bind to address 127.3.201.1:8080) reported, move this to verified.
Comment 6 errata-xmlrpc 2016-03-22 12:54:46 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0489.html

Note You need to log in before you can comment on or make changes to this bug.